/*
 * Gnophone: A client for the Asterisk PBX
 *
 * Copyright (C) 2000, Linux Support Services, Inc.
 *
 * Written by Mark Spencer
 *
 * Linux/UNIX version distributed under the terms of
 * the GNU General Public License
 *
 * gnophone.h: Shared definitions and callback functions
 *
 */
 
#ifndef _GNOPHONE_H
#define _GNOPHONE_H

#define DEFAULT_DIR "/usr/gnophone"

#define STARTING_URL "http://www.gnophone.com/gnophone-start/"
#define DEFAULT_HOME_PAGE "http://www.gnophone.com/home/"
#define INTRODUCTORY_CALL "iax://chuckie.linux-support.net"
#define DEFAULT_IMAGE "images/gnophone.png"
#define NO_VIDEO_IMAGE "images/novideo.png"
#define DEFAULT_MODULE_LOCATION "modules"

#define VIDEO_WIDTH 160
#define VIDEO_HEIGHT 120

#define KEY \
	"This paragraph is Copyright (C) 2000, Linux Support Services, Inc.  \
In order for your module to load, it must return this key via a function \
called \"key\".  Any code which includes this paragraph must be licensed under \
the GNU General Public License version 2 or later (at your option).   Linux \
Support Services, Inc. reserves the right to allow other parties to license \
this paragraph under other terms as well."

/* GUI stuff */
extern int init_gphx_subsystem(int *argc, char **argv[]);
extern int build_gui(void);
extern int run_gui(void);
extern int start_load_url(char *url);
extern char home_page[];
extern int show_video_control();
extern int mk_image(void *wv, char *filename);
extern char *get_image_filename(void);
extern int stop_image(void *wv);
extern char *user_image_filename();
extern char *base_filename(char *filename);
extern int use_cam();
extern int start_camera();
extern void stop_camera();
extern int set_cam_output(void *wv);
extern int deliver_sound(int format, void *sound, int len);
extern int show_audio_control(void);
extern void show_call_win(void);
extern int launch_call(char *who, char *title);
extern void iax_reg(void);
extern void image_callback(void);
extern void telco_prefs(void);

/* Options */
extern int option_autoanswer;
extern int load_modules();

/* Real phones can do more than audio */
extern void digit_ready(char digit, int startok, int useurl);
extern void answer(void);
extern void hangup(void);

extern void (*other_loudness)(int val);

/* How to interpret a requested "location" */
extern int interpret_call(char *s);
/* How to interpret a call URI like iax:// and tel: */
extern int interpret_call_strict(char *s);
#endif
